libzypp 17.37.10

zyppng::expected< void, E > Class Template Reference

`#include <zypp-core/zyppng/pipelines/expected.h>`

## Public Types
using | value_type
using | error_type

## Public Member Functions
| ~expected ()
| expected (const expected &other)
| expected (expected &&other) noexcept
expected & | operator= (expected other)
void | swap (expected &other) noexcept
| operator bool () const
bool | is_valid () const
E & | error ()
const E & | error () const
void | unwrap () const
void & | get ()
void & | operator* ()
void * | operator-> ()
void | visit (F f)

## Static Public Member Functions
static expected | success ()
template<typename... ConsParams>
static expected | error (ConsParams &&...params)

## Protected Attributes
union { |
T m_value |
E m_error |
}; |

## Private Member Functions
| expected ()

## Private Attributes
union zyppng::expected< void, E >:: { ... } |
bool | m_isValid

## Detailed Description

template<typename E>
class zyppng::expected< void, E >

Definition at line 251 of file expected.h.

## Member Typedef Documentation

## ◆ value_type

using zyppng::expected< void, E >::value_type

Definition at line 42 of file expected.h.

## ◆ error_type

using zyppng::expected< void, E >::error_type

Definition at line 43 of file expected.h.

## Constructor & Destructor Documentation

## ◆ expected() [1/3]

template<typename E>

zyppng::expected< void, E >::expected | ( |  | ) |
| inline private

Definition at line 260 of file expected.h.

## ◆ ~expected()

template<typename E>

zyppng::expected< void, E >::~expected | ( |  | ) |
| inline

Definition at line 263 of file expected.h.

## ◆ expected() [2/3]

template<typename E>

zyppng::expected< void, E >::expected | ( | const expected< void, E > & | other | ) |
| inline

Definition at line 272 of file expected.h.

## ◆ expected() [3/3]

template<typename E>

zyppng::expected< void, E >::expected | ( | expected< void, E > && | other | ) |
| inline noexcept

Definition at line 282 of file expected.h.

## Member Function Documentation

## ◆ operator=()

template<typename E>

expected & zyppng::expected< void, E >::operator= | ( | expected< void, E > | other | ) |
| inline

Definition at line 292 of file expected.h.

## ◆ swap()

template<typename E>

void zyppng::expected< void, E >::swap | ( | expected< void, E > & | other | ) |
| inline noexcept

Definition at line 298 of file expected.h.

## ◆ success()

template<typename E>

expected zyppng::expected< void, E >::success | ( |  | ) |
| inline static

Definition at line 330 of file expected.h.

## ◆ error() [1/3]

template<typename E>
template<typename... ConsParams>

expected zyppng::expected< void, E >::error | ( | ConsParams &&... | params | ) |
| inline static

Definition at line 341 of file expected.h.

## ◆ operator bool()

template<typename E>

zyppng::expected< void, E >::operator bool | ( |  | ) | const
| inline

Definition at line 351 of file expected.h.

## ◆ is_valid()

template<typename E>

bool zyppng::expected< void, E >::is_valid | ( |  | ) | const
| inline

Definition at line 356 of file expected.h.

## ◆ error() [2/3]

template<typename E>

E & zyppng::expected< void, E >::error | ( |  | ) |
| inline

Definition at line 367 of file expected.h.

## ◆ error() [3/3]

template<typename E>

const E & zyppng::expected< void, E >::error | ( |  | ) | const
| inline

Definition at line 373 of file expected.h.

## ◆ unwrap()

template<typename E>

void zyppng::expected< void, E >::unwrap | ( |  | ) | const
| inline

Definition at line 379 of file expected.h.

## ◆ get()

void & zyppng::expected< void, E >::get | ( |  | ) |
| inline

Definition at line 152 of file expected.h.

## ◆ operator*()

void & zyppng::expected< void, E >::operator* | ( |  | ) |
| inline

Definition at line 205 of file expected.h.

## ◆ operator->()

void * zyppng::expected< void, E >::operator-> | ( |  | ) |
| inline

Definition at line 215 of file expected.h.

## ◆ visit()

void zyppng::expected< void, E >::visit | ( | F | f | ) |
| inline

Definition at line 240 of file expected.h.

## Member Data Documentation

## ◆ m_value

template<typename E>

void* zyppng::expected< void, E >::m_value

Definition at line 254 of file expected.h.

## ◆ m_error

template<typename E>

E zyppng::expected< void, E >::m_error

Definition at line 255 of file expected.h.

## ◆ []

union zyppng::expected< void, E > { ... } zyppng::expected< void, E >

## ◆ m_isValid

template<typename E>

bool zyppng::expected< void, E >::m_isValid
| private

Definition at line 258 of file expected.h.

## ◆ [union]

union { ... } zyppng::expected< void, E >

The documentation for this class was generated from the following file:

- zypp-core/zyppng/pipelines/expected.h